#### This Page

# `dev`

`lektor dev`

Development commands for Lektor.

This provides various development support commands for Lektor. This is primarily useful for Lektor plugin development but also if you want to extend Lektor itself. Additional functionality can be unlocked by exporting the `LEKTOR_DEV=1` environment variable.

## Options

- `--help`: print this help page.

#### new-plugin

Creates a new plugin

#### new-theme

Creates a new theme

#### publish-plugin

Publish a plugin to PyPI.

#### shell

Starts a python shell.

## Comments